import { CreateUserDto } from './dto/create-user.dto';
import { UpdateUserDto } from './dto/update-user.dto';
import { BootstrapTableRequestDto } from 'src/commons/dto/bootstrap-table-request.dto';
import { UserService } from './user.service';
export declare class UserController {
    private readonly userService;
    constructor(userService: UserService);
    getProfile(req: any): {
        message: string;
        user: any;
    };
    create(createUserDto: CreateUserDto): Promise<any>;
    findAll(query: BootstrapTableRequestDto): Promise<import("../commons/dto/bootstrap-table-response.dto").BootstrapTableResponseDto<any>>;
    findOne(id: string): Promise<any>;
    update(id: string, updateUserDto: UpdateUserDto): Promise<any>;
    remove(id: string): import("../../generated/prisma/models").Prisma__UserClient<{
        email: string;
        id: string;
        hash: string;
        firstName: string | null;
        lastName: string | null;
        createdAt: Date;
        modifiedAt: Date;
        roleId: string;
    }, never, import("@prisma/client/runtime/client").DefaultArgs, {
        omit: import("../../generated/prisma/internal/prismaNamespace").GlobalOmitConfig | undefined;
    }>;
}
